# Uses of Interface
com.microsoft.sqlserver.jdbc.SQLServerAccessTokenCallback

Packages that use SQLServerAccessTokenCallback
Package
Description
com.microsoft.sqlserver.jdbc

## Uses of SQLServerAccessTokenCallback in com.microsoft.sqlserver.jdbc

Methods in com.microsoft.sqlserver.jdbc that return SQLServerAccessTokenCallback
Modifier and Type
Method
Description
`SQLServerAccessTokenCallback`
ISQLServerDataSource.`getAccessTokenCallback()`
Returns a `SQLServerAccessTokenCallback`, the access token callback delegate.
`SQLServerAccessTokenCallback`
SQLServerDataSource.`getAccessTokenCallback()`
Returns a `SQLServerAccessTokenCallback`, the access token callback delegate.
Methods in com.microsoft.sqlserver.jdbc with parameters of type SQLServerAccessTokenCallback
Modifier and Type
Method
Description
`void`
ISQLServerDataSource.`setAccessTokenCallback(SQLServerAccessTokenCallback accessTokenCallback)`
Sets the `SQLServerAccessTokenCallback` delegate.
`void`
SQLServerDataSource.`setAccessTokenCallback(SQLServerAccessTokenCallback accessTokenCallback)`
Sets the `SQLServerAccessTokenCallback` delegate.